package py.edu.ucsa.acceso.web.exceptions;

public enum ErrorCode {
	NO_ERROR,
	INTERNAL_ERROR,
	PARSING_ERROR,
	IO_ERROR,
	INVALID_MIME_TYPE,
	PERSISTENCE_EXCEPTION,
	INVALID_APPLICATION_KEY, 
	DISABLED_APPLICATION,	
	INVALID_AUDIT_ID, 
	SCRIPT_EXCEPTION, 
	RESOURCE_EXCEPTION, 
	INVALID_DATE, 
	MANDATORY_TAG_NOT_FOUND, 
	MANDATORY_TAG_IS_NULL, 
	NO_PARSERS_AVAILABLE, 
	JSON_ENCODING_ERROR,
	JSON_DECODING_ERROR,
	PARAMETER_ERROR,		 
	NO_DATA_FOUND, 
	UNAUTHORIZED,
	LDAP_EXCEPTION, 
	LDAP_AUTHENTICATION_EXCEPTION, 
	ARGUMENT_ERROR, 
	DATA_INTEGRITY_VIOLATION, 
	DATA_ACCESS_EXCEPTION, 
	UNSUPPORTED_OPERATION_ERROR, 
	INVALID_DN_NAME_ERROR, 
	DIRECTORY_SERVICE_EXCEPTION, 
	INVALID_USER_LOCATION	
}
